# $Revision: 1.18 $, $Date: 2011/02/04 18:23:55 $
#
%include	/usr/lib/rpm/macros.mono
#
Summary:	GTK+ Last.fm player
Summary(pl.UTF-8):	Odtwarzacz Last.fm dla GTK+
Name:		last-exit
Version:	6
Release:	4
License:	GPL v2+
Group:		X11/Applications/Multimedia
Source0:	http://lastexit-player.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	ef0bffe352073b7663441aa9b80237b1
Patch0:		%{name}-exec.patch
Patch1:		%{name}-desktop.patch
URL:		http://lastexit-player.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.71
BuildRequires:	dotnet-gnome-sharp-devel >= 2.15.0
BuildRequires:	dotnet-ndesk-dbus-glib-sharp-devel >= 0.4.1
BuildRequires:	gettext-devel
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.9
BuildRequires:	intltool
BuildRequires:	libsexy-devel >= 0.1.5
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 1.1.16.1
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.176
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2 >= 2.14.0
Requires:	dotnet-gnome-sharp >= 2.16.0
Requires:	dotnet-gtk-sharp2 >= 2.10.0
Requires:	gstreamer-audio-effects-base >= 0.10.9
Requires:	gstreamer-audio-formats >= 0.10.4
Requires:	gstreamer-audiosink
Requires:	mono
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Last Exit is a player for Last.fm.

%description -l pl.UTF-8
Last Exit to odtwarzacz Last.fm.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install last-exit.schemas
%gconf_schema_install lastfm.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall last-exit.schemas
%gconf_schema_uninstall lastfm.schemas

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.exe*
%attr(755,root,root) %{_libdir}/%{name}/*.so
%attr(755,root,root) %{_libdir}/%{name}/*.dll
%{_sysconfdir}/gconf/schemas/last-exit.schemas
%{_sysconfdir}/gconf/schemas/lastfm.schemas
%{_desktopdir}/*.desktop
%{_iconsdir}/*/*/apps/last-exit*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/icons

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: last-exit.spec,v $
Revision 1.18  2011/02/04 18:23:55  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.17  2010/05/16 00:02:40  sparky
- BR: autoconf, automake, gettext-devel, intltool, libtool, pkgconfig

Revision 1.16  2010/05/12 12:53:27  baggins
- rel 3
- fixed desktop categories

Revision 1.15  2008/10/14 20:22:31  megabajt
- release 2

Revision 1.14  2008/07/13 17:54:38  deejay1
- updated to 6
- rel. 1

Revision 1.13  2008/03/11 10:55:44  paszczus
- added R: dotnet-gtk-sharp2, dotnet-gnome-sharp

Revision 1.12  2008-03-11 10:46:44  paszczus
- added R: mono

Revision 1.11  2007/07/08 11:26:59  deejay1
- added mono deps
- rel. 2

Revision 1.10  2007/04/17 15:25:45  deejay1
- up to 5 with some backported items from trunk
- rel. 1

Revision 1.9  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.7  2007/01/26 21:48:43  aflinta
- up to version 4

Revision 1.6  2006/12/15 16:29:28  deejay1
- up to 3

Revision 1.5  2006/08/20 09:51:29  freetz
- spaces -> tabs

Revision 1.4  2006/08/20 09:45:41  freetz
- 2.0, updated deps, use HEAD deps, added desktop patch, cleaned up files
  section, build fixes, added some basic gstreamer R:

Revision 1.3  2006/07/24 17:58:58  qboosh
- pl, cleanup

Revision 1.2  2006/07/21 10:41:54  jajcus
- more BRs

Revision 1.1  2006/07/21 10:40:22  jajcus
- new spec
